> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch external IDs

> This endpoint allows you to get the external ID's that belong to a person.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /person/{{person_id}}/external_ids
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /person/{{person_id}}/external_ids:
    parameters:
      - name: person_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - People
      summary: Fetch external IDs
      description: >-
        This endpoint allows you to get the external ID's that belong to a
        person.
      operationId: fetchExternalIds1
      responses:
        '200':
          description: Fetch external IDs
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=13397
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 27 Dec 2024 22:10:04 GMT
            ETag:
              schema:
                type: string
                example: W/"87eaf1721b461737fcb5acc0a52fc425"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 368146333bf1a1071e8432a7d4e41e1a.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: S_-U-nQH5FELeGoVH8R53PHFt2WZplOtpYFw7FNY_hXZhzr6hP2I5w==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '8349'
            x-memc-expires:
              schema:
                type: string
                example: '13397'
            x-memc-key:
              schema:
                type: string
                example: 4455b22710fdfffde8376c227a0d23ca
          content:
            application/json:
              schema:
                type: object
                properties:
                  facebook_id:
                    type: string
                    example: TomHanks
                  freebase_id:
                    type: string
                    example: /en/tom_hanks
                  freebase_mid:
                    type: string
                    example: /m/0bxtg
                  id:
                    type: number
                    example: 31
                  imdb_id:
                    type: string
                    example: nm0000158
                  instagram_id:
                    type: string
                    example: tomhanks
                  tiktok_id:
                    type: string
                    example: tomhanks
                  tvrage_id:
                    type: number
                    example: 14293
                  twitter_id:
                    type: string
                    example: tomhanks
                  wikidata_id:
                    type: string
                    example: Q2263
                  youtube_id:
                    nullable: true
                    example: null
              examples:
                Fetch external IDs:
                  value:
                    facebook_id: TomHanks
                    freebase_id: /en/tom_hanks
                    freebase_mid: /m/0bxtg
                    id: 31
                    imdb_id: nm0000158
                    instagram_id: tomhanks
                    tiktok_id: tomhanks
                    tvrage_id: 14293
                    twitter_id: tomhanks
                    wikidata_id: Q2263
                    youtube_id: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````